Bug 111585 - redhat-config-printer-tui --Xclear incomplete
redhat-config-printer-tui --Xclear incomplete
Product: Fedora
Classification: Fedora
Component: redhat-config-printer (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2003-12-05 14:11 EST by Joe Harrington
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-12 11:06:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Harrington 2003-12-05 14:11:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Galeon/1.3.10

Description of problem:
The command:

redhat-config-printer-tui --Xclear

Does not remove printer definitions from cupsd.conf or lpoptions.  It
should.  It does remove them from printers.conf and the ppd directory.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. define a printer
redhat-config-printer-tui \
  --Xadd-local \
  --device=socket://netlp3.astro.cornell.edu:9100 \
  --description='HP 4050N in SSB 3rd floor kitchen' \
  --make=HP \
  --model='LaserJet 4050' \

2. try to clear it
redhat-config-printer-tui --Xclear 

Actual Results:  Definition in cupsd.conf and lpoptions remain.

Expected Results:  They should be gone.

Additional info:

Comment 1 Matthew Miller 2006-07-11 13:49:12 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.


NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 2 Tim Waugh 2006-07-12 11:06:15 EDT
s-c-printer is re-written for FC6 and printconf-tui no longer exists.

Note You need to log in before you can comment on or make changes to this bug.